import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;

import java.util.*;
import java.math.*;

public class Check implements Checker {

    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        BigInteger cAns = ouf.nextBigInteger();
        BigInteger jAns = ans.nextBigInteger();
        if (!cAns.equals(jAns)) {
            return new Outcome(Outcome.Type.WA, String.format("expected: %s, found: %s", jAns.toString(), cAns.toString()));
        }
        return new Outcome(Outcome.Type.OK, String.format("%s", jAns.toString()));
    }
}
